"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {};
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("./constants");
Object.keys(_constants).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _constants[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _constants[key];
    }
  });
});
var _jsxRuntime = require("react/jsx-runtime");
const Badge = props => {
  const {
    type,
    ...cleanProps
  } = props;
  const url = `/images/components/badge-${type}.svg`;
  const style = {
    backgroundImage: `url('${url}')`
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
    ...cleanProps,
    className: "c-badge",
    style: style
  });
};
Badge.defaultProps = {
  type: _constants.BADGE_GREEN
};
var _default = exports.default = Badge;