"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTrackingAttributes = void 0;
const DATA_TRACK_REGEX = /^data-track[^\s]*/;
const getTrackingAttributes = options => Object.keys(options).reduce((acc, elem) => {
  if (DATA_TRACK_REGEX.test(elem)) {
    acc[elem] = options[elem];
  }
  return acc;
}, {});
exports.getTrackingAttributes = getTrackingAttributes;