"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
const EmailLink = props => {
  const {
    to,
    children,
    ...cleanProps
  } = props;
  const query = (0, _utils.getQuery)(props);
  let uri = `mailto:${to || ''}`;
  if (query) uri += `?${query}`;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
    ...cleanProps,
    href: uri,
    children: children
  });
};
var _default = exports.default = EmailLink;
module.exports = exports.default;
module.exports.default = exports.default;