"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getQuery = void 0;
var _qs = require("qs");
const QUERY_KEYS = ['subject', 'body'];
const getQuery = props => (0, _qs.stringify)(QUERY_KEYS.reduce((acc, key) => {
  if (props[key]) acc[key] = props[key];
  return acc;
}, {}));
exports.getQuery = getQuery;