"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _expandable = _interopRequireDefault(require("../expandable"));
var _jsxRuntime = require("react/jsx-runtime");
const ExpandableCard = props => {
  const {
    children,
    title,
    ...cleanProps
  } = props;
  const className = (0, _clsx.default)('c-expandable_card', props.className);
  const control = /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
    className: "c-expandable_card-control",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
      className: "c-expandable_card-state ui-link",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("i", {
        className: "icon-arrow_up"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("i", {
        className: "icon-arrow_down"
      })]
    }), title]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_expandable.default, {
    ...cleanProps,
    className: className,
    control: control,
    children: children
  });
};
var _default = exports.default = ExpandableCard;
module.exports = exports.default;
module.exports.default = exports.default;