"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TYPE_LARGE = exports.TYPE_DEFAULT = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _jsxRuntime = require("react/jsx-runtime");
const TYPE_DEFAULT = exports.TYPE_DEFAULT = 'default';
const TYPE_LARGE = exports.TYPE_LARGE = 'large';
const IconBox = props => {
  const {
    icon,
    active,
    type,
    ...cleanProps
  } = props;
  const className = (0, _clsx.default)('c-icon_box ui-iconbox-label', props.className, {
    'is-disabled': !active,
    'ui-iconbox-label-large': type === TYPE_LARGE
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
    ...cleanProps,
    className: className,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("i", {
      className: icon
    })
  });
};
IconBox.defaultProps = {
  active: true,
  icon: 'icon-barchart',
  type: TYPE_DEFAULT
};
var _default = exports.default = IconBox;