"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _phone_number = _interopRequireDefault(require("../phone_number"));
var _jsxRuntime = require("react/jsx-runtime");
const PhoneLink = props => {
  const className = (0, _clsx.default)('c-phone_link', props.className);
  const {
    children,
    to,
    ...cleanProps
  } = props;
  const content = /*#__PURE__*/(0, _jsxRuntime.jsx)(_phone_number.default, {
    children: children || to
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
    ...cleanProps,
    className: className,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
      href: `tel:${to}`,
      className: "c-phone_link-mobile",
      children: content
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: "c-phone_link-desktop",
      children: content
    })]
  });
};
var _default = exports.default = PhoneLink;
module.exports = exports.default;
module.exports.default = exports.default;