"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
const Progress = props => {
  const {
    state,
    size,
    type,
    children,
    ...cleanProps
  } = props;
  const percent = (0, _utils.getPercentage)(state);
  const className = (0, _clsx.default)(`c-progress c-progress-${type}`, props.className, {
    'c-progress-small': size === 'small'
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    ...cleanProps,
    className: className,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: "c-progress-state",
      style: {
        width: percent
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("em", {
        children: percent
      })
    }), children]
  });
};
Progress.defaultProps = {
  type: 'primary'
};
var _default = exports.default = Progress;
module.exports = exports.default;
module.exports.default = exports.default;