"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _data = require("nebenan-helpers/lib/data");
var _jsxRuntime = require("react/jsx-runtime");
const ProgressLine = props => {
  const {
    steps,
    current,
    ...cleanProps
  } = props;
  const className = (0, _clsx.default)('c-progress_line', props.className);
  const chunks = (0, _data.arrayOf)(steps).map(index => /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
    className: (0, _clsx.default)('c-progress_line-step', {
      'is-active': index <= current
    })
  }, index));
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("ul", {
    ...cleanProps,
    className: className,
    children: chunks
  });
};
ProgressLine.defaultProps = {
  steps: 1,
  current: 0
};
var _default = exports.default = ProgressLine;
module.exports = exports.default;
module.exports.default = exports.default;