"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _clsx = _interopRequireDefault(require("clsx"));
var _jsxRuntime = require("react/jsx-runtime");
const PopupLink = props => {
  const className = (0, _clsx.default)('c-popup_link', props.className);
  const {
    to: href,
    follow,
    children,
    ...cleanProps
  } = props;
  let rel = 'noopener noreferrer'; // for safety, see: https://mathiasbynens.github.io/rel-noopener/
  if (!follow) rel += ' nofollow';
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
    ...cleanProps,
    className,
    href,
    rel,
    target: "_blank",
    children: children
  });
};
PopupLink.defaultProps = {
  follow: false
};
var _default = exports.default = PopupLink;
module.exports = exports.default;
module.exports.default = exports.default;